html, body {
    font-family: 'Source Sans Pro', sans-serif;
    font-size: 20px;
    scroll-behavior: smooth;
    font-weight: 300;
    font-display: swap;
    background-color: #181818;
    color: #f2f2f2;
}

select option {
    color: #181818;
}

/* PROGRESS DOWNLOAD */
.progress-download {
    max-width: 380px;
    width: 100%;
    margin: 0 auto;
    height: 20px;
    border-radius: 5px;
}
.progress-download__type {
    height: 100%;
    display: inline-flex;
}
.progress-download__status {
    height: 15px;
    width: 15px;
    display: inline-flex;
    border-radius: 100%;
}
/* FIRST PART */
#btn-uploadLogo, #btn-uploadImage {
    word-break: break-word;
}

/* SECOND PART */
/* File preview */
.file-preview {
    height: 680px;
    position: relative;
    overflow: hidden;
}
.file-preview__images {
    position: relative;
    overflow: hidden;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    
    width: intrinsic;           /* Safari/WebKit uses a non-standard name */
    width: -moz-max-content;    /* Firefox/Gecko */
    width: -webkit-max-content; /* Chrome */
}

.file-preview__images-image {
    transform-origin: center;
}
.file-preview__images-logo {
    /* width: fit-content; */
    /* height: 100%; */
    width: auto !important;
    height: auto !important; 
    /* width: 100%; */
    position: absolute;
    transform-origin: left top;
    top: 0;
    left: 0;
}
.file-preview__images-logo-settings {
    position: absolute;
    bottom: -20px;
    width: 100%;
    padding: 20px 0;
    text-align: center;
}
.file-preview__images-logo-settings .fas {
    color: rgb(238, 238, 238);
}
.file-preview__images-logo-settings input {
    height: 30px;
    width: 30%;
    display: inline-block;
    vertical-align: middle;
    background-color: transparent;
}
.file-preview__images-logo:hover {
    cursor: move;
}
.file-preview__images-logo:active {
    cursor: grabbing;
}
.file-preview__images-logo img {
    height: 100px;
}

/* Settngs */
.settings {
    font-size: 16px;
    background-color: #272727;
}
.settings .logo-opacity, .logo-rotation {
    height: 46px;
}
.settings .logo-opacity, .logo-rotation,
.settings .logo-scale, .logo-position,
#exportFormat,
#predefinedPosition {
    border-radius: 5px;
    width: 100%;
    min-height: 50px;
    height: auto;
    background-color: transparent;
}
.logo-position__x {
    width: calc(50% - 3px) !important;
    margin-right: 3px;
}
.logo-position__y {
    width: calc(50% - 3px) !important;  
    margin-left: 3px;
}
.btn-download {
    width: 100%;
    min-height: 50px;
    height: auto;
}
:disabled {
    opacity: .5;
}

.w-6\/12 {
    width: calc(50% - 2px);
}

/* DOWNLOAD */
.download-icon, .downloading__spinner {
    margin-right: 15px;   
}
.downloading__spinner {
    position: relative;
    box-sizing: border-box;
    display: inline-block;
    vertical-align: middle; 
    width: 16px;
    height: 16px;
    margin-top: -2px;
    text-indent: -9999em;
    border: 1px solid #fff;
    border-left: 1px solid rgba(0,0,0,.3);
    border-radius: 50%;
    animation: nk-spinner 0.5s infinite linear;    
}

@keyframes nk-spinner {
    100% {
      transform: rotate(360deg);
    }
}

@media only screen and (max-width: 416px) {
    .download-icon, .downloading__spinner {
        margin-right: 0px !important;
    }
}